# Uses of Class
org.jfree.chart3d.data.KeyedValues3DItemKey

Packages that use KeyedValues3DItemKey
Package
Description
org.jfree.chart3d.data
Core data structures used as the building blocks for datasets in Orson Charts.
org.jfree.chart3d.interaction
Classes that support user interaction with charts.
org.jfree.chart3d.renderer.category
Renderers that can be used with the `CategoryPlot3D` class.

## Uses of KeyedValues3DItemKey in org.jfree.chart3d.data

Methods in org.jfree.chart3d.data that return types with arguments of type KeyedValues3DItemKey
Modifier and Type
Method
Description
`static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>, T>
Collection<KeyedValues3DItemKey>`
KeyedValues3DItemKeys.`itemKeysForColumn(KeyedValues3D<S,R,C,T> data, C columnKey)`
Returns a collection containing all the item keys for the specified column.
`static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>, T>
Collection<KeyedValues3DItemKey>`
KeyedValues3DItemKeys.`itemKeysForRow(KeyedValues3D<S,R,C,T> data, R rowKey)`
Returns a collection containing all the item keys for the specified row.
`static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>, T>
Collection<KeyedValues3DItemKey>`
KeyedValues3DItemKeys.`itemKeysForSeries(KeyedValues3D<S,R,C,T> data, S seriesKey)`
Returns a collection containing all the item keys for the specified series.
Methods in org.jfree.chart3d.data with parameters of type KeyedValues3DItemKey
Modifier and Type
Method
Description
`int`
KeyedValues3DItemKey.`compareTo(KeyedValues3DItemKey<S,R,C> key)`
Method parameters in org.jfree.chart3d.data with type arguments of type KeyedValues3DItemKey
Modifier and Type
Method
Description
`static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>>
XYZDataset<S>`
DataUtils.`extractXYZDatasetFromColumns(KeyedValues3D<S,R,C,? extends Number> source, C xColKey, C yColKey, C zColKey, NullConversion nullConversion, List<KeyedValues3DItemKey> exceptions)`
Creates an `XYZDataset` by extracting values from specified columns in a `KeyedValues3D` instance.
`static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>>
XYZDataset`
DataUtils.`extractXYZDatasetFromRows(KeyedValues3D<S,R,C,? extends Number> source, R xRowKey, R yRowKey, R zRowKey, NullConversion nullConversion, List<KeyedValues3DItemKey> exceptions)`
Creates an `XYZDataset` by extracting values from specified rows in a `KeyedValues3D` instance.

## Uses of KeyedValues3DItemKey in org.jfree.chart3d.interaction

Methods in org.jfree.chart3d.interaction with parameters of type KeyedValues3DItemKey
Modifier and Type
Method
Description
`boolean`
StandardKeyedValues3DItemSelection.`add(KeyedValues3DItemKey itemKey)`
Adds an item to the selection, returning `true` if the item is added and `false` if the item already existed in the selection.
`boolean`
KeyedValues3DItemSelection.`isSelected(KeyedValues3DItemKey itemKey)`
Returns `true` if the specified key exists in the selection, and `false` otherwise.
`boolean`
StandardKeyedValues3DItemSelection.`isSelected(KeyedValues3DItemKey itemKey)`
Returns `true` if the specified item is in the selection, and `false` otherwise.
`boolean`
StandardKeyedValues3DItemSelection.`remove(KeyedValues3DItemKey itemKey)`
Removes an item from the selection returning `true` if the item was removed and `false` if it did not exist within the selection.
Method parameters in org.jfree.chart3d.interaction with type arguments of type KeyedValues3DItemKey
Modifier and Type
Method
Description
`boolean`
StandardKeyedValues3DItemSelection.`addAll(Collection<? extends KeyedValues3DItemKey> keys)`
Adds a collection of items to the selection, returning `true` if the selection is changed, and `false` if no changes were made.

## Uses of KeyedValues3DItemKey in org.jfree.chart3d.renderer.category

Methods in org.jfree.chart3d.renderer.category with parameters of type KeyedValues3DItemKey
Modifier and Type
Method
Description
`protected void`
BarRenderer3D.`drawItemLabels(World world, CategoryDataset3D dataset, KeyedValues3DItemKey itemKey, double xw, double yw, double zw, double basew, boolean inverted)`
Draws the item labels.
`protected void`
StackedBarRenderer3D.`drawItemLabels(World world, CategoryDataset3D dataset, KeyedValues3DItemKey itemKey, double xw, double yw, double zw, double basew, boolean inverted)`
Draws the item labels.